Bug Hunting Session
Bug 100199 - crash: switch to Display Mode - Master Modes - Notes via toolbar
Summary: crash: switch to Display Mode - Master Modes - Notes via toolbar
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.3.0 target:5.2.0.1 target:5.1.5
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2016-06-02 22:01 UTC by JoNi
Modified: 2016-10-25 18:54 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
backtrace (8.90 KB, text/plain)
2016-06-02 22:01 UTC, JoNi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description JoNi 2016-06-02 22:01:34 UTC
Created attachment 125462 [details]
backtrace

Impress crashes when switching to Notes, Display Mode for Master slides

to reproduce:
* open a new impress document
* in the standard toolbar click Display Modes
* select Master Modes, Notes
-> crash
see backtrace

note: didn't add this to 
bug 100191 'crash: switch to Display Mode: Notes via toolbar'
because this is an SIGABRT in a shared_ptr, while former was a SIGSEGV due nullptr dereference

an other crash with very similar backtrace happens if one leaves Display Mode Outline to any other Display Mode

to reproduce:
* open a new impress document
* in the standard toolbar click Display Modes
* select Edit Modes, Outline
* Click Display Modes again
* select Normal (or any other mode but Outline)
-> crash

Linux 64bit, build 0d7c5823124696f80583ac2a5f0e28f329f6f786 (Thu, 2 Jun 2016 15:33:59 +0200)
Comment 1 Commit Notification 2016-06-03 08:32:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9cf0ac710a6ace0a833fa193c7e18c4a7405bc42

Resolves: tdf#100199 crash: switch to Display Mode - Master Modes - Notes

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2016-06-03 08:34:04 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=05560f10b4652f97949f44b9377c2e2355c21602&h=libreoffice-5-2

Resolves: tdf#100199 crash: switch to Display Mode - Master Modes - Notes

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-06-03 13:25:23 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1fe53fce9a0776d935fabbdf86b2c03d23da0e72&h=libreoffice-5-1

Resolves: tdf#100199 crash: switch to Display Mode - Master Modes - Notes

It will be available in 5.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 JoNi 2016-06-07 19:45:06 UTC
can verify fix on master